Page MenuHomePhabricator

MWExtensionInspector should inherit from NodeInspector
Closed, ResolvedPublic1 Story Points

Event Timeline

Esanders created this task.Mar 23 2015, 3:59 PM
Esanders claimed this task.
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a project: VisualEditor.
Esanders added a subscriber: Esanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2015, 3:59 PM

Change 198729 had a related patch set uploaded (by Esanders):
[BREAKING CHANGE] Make MWExtensionInspector inherit from NodeInspector

https://gerrit.wikimedia.org/r/198729

Change 198731 had a related patch set uploaded (by Esanders):
Update inspector now it inherits from NodeInspector

https://gerrit.wikimedia.org/r/198731

Change 198733 had a related patch set uploaded (by Esanders):
Update inspector now it inherits from NodeInspector

https://gerrit.wikimedia.org/r/198733

(Math extension without VisualEditor update)

I guess we should test the changes to the Math extension after the VisualEditor changes got merged.
Is there any way to make this change non breaking and support both "interfaces" for a while.

Jdforrester-WMF triaged this task as Normal priority.Mar 25 2015, 9:34 PM
Jdforrester-WMF moved this task from To Triage to Planned Maintenance on the VisualEditor board.
Jdforrester-WMF moved this task from Planned Maintenance to Blocked on the VisualEditor board.

Change 198729 merged by jenkins-bot:
[BREAKING CHANGE] Make MWExtensionInspector inherit from NodeInspector

https://gerrit.wikimedia.org/r/198729

Change 198731 merged by jenkins-bot:
Update inspector now it inherits from NodeInspector

https://gerrit.wikimedia.org/r/198731

Change 198733 merged by jenkins-bot:
Update inspector now it inherits from NodeInspector

https://gerrit.wikimedia.org/r/198733

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Apr 16 2015, 9:12 PM